Subject: Re: bug? cp and coreutils-5.2.1-2
From: Sam Vaughan <[email-masked]>
To: Raye Raskin <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Dec 2004 15:29:04 -0800 (PST)

On Wed, 22 Dec 2004, Raye Raskin wrote:

>> Just updated my Cygwin. If I use cp to copy a file, in this case an 
>> executable, I get "This program cannot be run in DOS mode" when I try to 
>> run the copied file.
>> 
>> The copied file also now differs from the original.
>> 
>> $ ls -l /bin/sum.exe
>> -rwxr-x---+ 1 sam Users 26624 Dec 21 02:32 /bin/sum.exe
>> 
>> $ cp /bin/sum.exe copysum.exe
>> 
>> $ ls -l copysum.exe
>> -rwxr-x---  1 sam None 26713 Dec 22 14:35 copysum.exe
>> 
>> $ cmp /bin/sum.exe copysum.exe
>> /bin/sum.exe copysum.exe differ: char 119, line 1
>> 
>> $ ./copysum.exe
>> This program cannot be run in DOS mode.
>> 
>> 
>> Anybody else experiencing this? I have tested this out on three different 
>> computers that have been updated today, all produce the same results. On a 
>> box thats running the older cygwin, cp copies the files exactly and I have 
>> no trouble running them.
>> 
>> 
>> Thanks,
>> Sam
>
> Works fine for me.  Maybe you'd better do
>
> $ which cp
> $ which ls
>
> ...and for good measure,
>
> $ /bin/sum.exe

Ok.

$ which sum.exe
/usr/bin/sum.exe

$ /usr/bin/sum.exe
and 
$ sum
  (both just hangs waiting for input)

$ cp /usr/bin/sum.exe copysum.exe

$ ls -l /usr/bin/sum.exe
-rwxr-x---+ 1 sam Users 26624 Dec 21 02:32 /usr/bin/sum.exe

$ ls -l ./copysum.exe
-rwxr-x---  1 sam None 26713 Dec 22 15:19 ./copysum.exe

$ ./copysum.exe
This program cannot be run in DOS mode.

$ find / -name "sum.exe"
/bin/sum.exe
/usr/bin/sum.exe

And I have no alias's to cp. (or any other aliases)

For clarity,

$ which ls
/usr/bin/ls

>
> You may find that /bin/sum.exe is *not* what you run when you run
> "sum".
>
> FYI, for me, running sum or ./copysum.exe just hangs, it is waiting
> for stdin.  So I ran the --version option to each, just to see them
> do something.
>
> HTH
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/